

<button type="button" (click)="changeMode()">{{mode}}</button>
<ng-container *ngIf="mode==='Edit' then display else edit"></ng-container>
<ng-template #display>
  <p>Id : {{todo.id}}</p>
  <p>title : {{todo.title}}</p>
  <p>statut : {{todo.statut}}</p>
  <p>contenu : {{todo.contenu}}</p>
  <p>date : {{todo.date}}</p>
</ng-template>
<ng-template #edit>
  <form (ngSubmit)="updateTodo()">
    <label for="id">Id : </label><input [(ngModel)]="todo.id" id="id" name="id">
    <label for="title">title :</label><input [(ngModel)]="todo.title" id="title" name="title">
    <label for="contenu">contenu :</label><input [(ngModel)]="todo.contenu" id="contenu" name="contenu">
    <label for="date">contenu :</label><input [(ngModel)]="todo.date" id="date" name="date">
    <label for="statut">Fonction :</label><select [(ngModel)]="todo.statut" id="statut" name="statut">
    <option *ngFor="let statut of statut">{{ statut }}</option>
  </select>
    <button type="submit">Envoyer</button><button type="reset">Reset</button>
  </form>
</ng-template>
